Metadata

All metadata about the API, like versions.

PostgreSQL versions for new clusters

get

Retrieves a list of available PostgreSQL versions for new clusters.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Responses
chevron-right
200

Successful operation.

application/json

List of PostgreSQL versions.

get
/versions

Get the current API version

get

Retrieves the current version of the responding API.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Responses
chevron-right
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml
get
/infos/version

Fetch all API versions

get

Retrieves all available versions of the responding API.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Responses
chevron-right
200

Successful operation.

application/json
namestringOptionalExample: v2.1
swaggerUrlstringOptionalExample: https://api.ionos.com/databases/postgres/infos/assets/swagger-v2.1.yml
get
/infos/versions

Last updated

Was this helpful?